Package org.eclipse.net4j.util.om

# Class OSGiActivator.WithState

java.lang.Object
org.eclipse.net4j.util.om.OSGiActivator
org.eclipse.net4j.util.om.OSGiActivator.WithState

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

Enclosing class:
  OSGiActivator

public abstract static class OSGiActivator.WithState extends OSGiActivator
An OSGi `activator` that stores `bundle state` between sessions.

Since:
  3.1
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.om.OSGiActivator

`OSGiActivator.StateHandler, OSGiActivator.WithState`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.om.OSGiActivator

`bundleContext`

## Constructor Summary

Constructors
Constructor
Description
`WithState(OMBundle bundle)`

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`doStart()`
`protected abstract void`
`doStartWithState(Object state)`
`protected final void`
`doStop()`
`protected abstract Object`
`doStopWithState()`

### Methods inherited from class org.eclipse.net4j.util.om.OSGiActivator

`clone, equals, getOMBundle, hashCode, start, start, stop, stop, toString, traceStart, traceStop`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WithState

public WithState(OMBundle bundle)

## Method Details

### doStart

protected final void doStart() throws Exception

Overrides:
  `doStart` in class `OSGiActivator`
Throws:
  `Exception`

### doStop

protected final void doStop() throws Exception

Overrides:
  `doStop` in class `OSGiActivator`
Throws:
  `Exception`

### doStartWithState

protected abstract void doStartWithState(Object state) throws Exception

Throws:
  `Exception`

### doStopWithState

protected abstract Object doStopWithState() throws Exception

Throws:
  `Exception`